InvalidReferenceException (FreeMarker 2.3.35 API)
Description: declaration: package: freemarker.core, class: InvalidReferenceException

Package freemarker.core

# Class InvalidReferenceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
freemarker.template.TemplateException
freemarker.core.InvalidReferenceException

All Implemented Interfaces:
  `Serializable`

public class InvalidReferenceException extends TemplateException
A subclass of `TemplateException` that says that an FTL expression has evaluated to `null` or it refers to something that doesn't exist. At least in FreeMarker 2.3.x these two cases aren't distinguished.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidReferenceException​(Environment env)`
  Creates and invalid reference exception that contains no information about what was missing or null.
  `InvalidReferenceException​(String description, Environment env)`
  Creates and invalid reference exception that contains no programmatically extractable information about the blamed expression.

- ## Method Summary

  ### Methods inherited from class freemarker.template.TemplateException

  `getBlamedExpressionString, getCauseException, getColumnNumber, getEndColumnNumber, getEndLineNumber, getEnvironment, getFTLInstructionStack, getLineNumber, getMessage, getMessageWithoutStackTop, getTemplateName, getTemplateSourceName, printStackTrace, printStackTrace, printStackTrace, printStackTrace, printStandardStackTrace, printStandardStackTrace`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidReferenceException

    public InvalidReferenceException​(Environment env)
    Creates and invalid reference exception that contains no information about what was missing or null. As such, try to avoid this constructor.

  - ### InvalidReferenceException

    public InvalidReferenceException​(String description, Environment env)
    Creates and invalid reference exception that contains no programmatically extractable information about the blamed expression. As such, try to avoid this constructor, unless need to raise this expression from outside the FreeMarker core.